import org.jetbrains.exposed.sql.*
import org.jetbrains.exposed.sql.transactions.TransactionManager
import org.jetbrains.exposed.sql.transactions.transaction
import java.io.File
import java.sql.Connection

fun main() {
    // Datenbank löschen, jedesmal neu starten
    File("my.db").delete()
    File("myh2.mv.db").delete()
    var isMySQL = false

    // H2
    Database.connect("jdbc:h2:./myh2", "org.h2.Driver")

    // oder SQLite
    // Database.connect("jdbc:sqlite:my.db", "org.sqlite.JDBC")

    // oder MySQL. Setzt voraus, dass es die Datenbank test2 und den user test2 gibt,
    // der darauf zugreifen darf.
    //
    //    val db = Database.connect("jdbc:mysql://localhost/test2",
    //        driver = "com.mysql.cj.jdbc.Driver",
    //        user = "test2",
    //        password = "geheim")
    //    isMySQL = true

    // Testcode zu MyTable / MyRecord
    // testMyTableRecord()

    // Tabellen und Testdatensätze für das Books-Beispiel erzeugen
    // setupOneBook()
    setupBooks()
    if (isMySQL) {
        transaction {
            try {
                exec("ALTER TABLE Books ADD FULLTEXT title_ft (title)")
            } catch(e: Exception) { }
        }
    }
    queryBooks(isMySQL)
}



